#ifndef GetComChannel_H
#define GetComChannel_H

#include <string>

// REVIEW: Vererbung oder Bestandteilbeziehung?
// REVIEW: Erweiterung oder Wrapper?

#include <Command.h>


// REVIEW: Namespace
namespace ProtoGenWrapper
{
	class GetComChannel : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComChannel(const std::string& identifier, const std::string& ecuVariantName, bool performVariantSelection);
		GetComChannel(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetComChannel() = delete;

		bool GetValues(std::string& identifier, std::string& ecuVariantName, bool& performVariantSelection);
		static bool GetValues(const OpenTestSystem::OtxDiagManager::Common::Command& cmd,
		std::string& identifier, std::string& ecuVariantName, bool& performVariantSelection);

		static int GetCommandType();
	};
}
#endif // GetComChannel_H
